Bug 175957 - ghex2(from extras) crashes inside gtk on x86_64
Summary: ghex2(from extras) crashes inside gtk on x86_64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ghex   
(Show other bugs)
Version: 4
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
Assignee: Thorsten Leemhuis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-16 17:58 UTC by drago01
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: ghex-2.8.2-2.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 16:41:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug info (7.07 KB, text/plain)
2005-12-16 18:00 UTC, drago01
no flags Details

Description drago01 2005-12-16 17:58:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); de-DE; rv:1.8) Gecko/20051202 Fedora/1.5-1 Firefox/1.5

Description of problem:
Hello
I am using FC4 x86_64 and ghex2 from extras.
When I search for a string in a binary file ghex2 crashes with a glibc detected message in the console.
This only happen on my x86_64 the i386(athlonxp) one does not have this problem.
I recompiled it adding -g and tryed to debug it using gdb.
Looking at the output it seems that it crashes inside gtk.
I will attach the output after submitting this.

Version-Release number of selected component (if applicable):
gtk2-2.6.10-2.fc4.4

How reproducible:
Always

Steps to Reproduce:
1. search in a file using ghex2

  

Actual Results:  1. crash with glibc detected message

Expected Results:  no crash

Additional info:

Comment 1 drago01 2005-12-16 18:00:30 UTC
Created attachment 122332 [details]
debug info

here is the debug output (including the glibc detected message)

Comment 2 Matthias Clasen 2006-01-06 15:30:34 UTC
It crashes inside the find_next_cb callback, which is in ghex.

Comment 3 Thorsten Leemhuis 2006-02-22 16:53:27 UTC
dragoran, I could reproduce your problem, but with my limited programming skills
I'm not able to fix this myself. Could you try to aks upstream to look into this?

Comment 4 drago01 2006-02-23 19:54:20 UTC
where is upstream? (googled for it can only find pages that does not exits anymore)

Comment 5 Thorsten Leemhuis 2006-02-23 20:02:18 UTC
(In reply to comment #4)
> where is upstream?

bugzilla.gnome.org afaik

Comment 6 drago01 2006-02-23 20:11:50 UTC
ok will fill a bug tomorrow

Comment 7 Thorsten Leemhuis 2006-08-10 16:41:31 UTC
ghex-2.8.2-2.fc5 should fix this

Comment 8 drago01 2006-08-10 16:52:55 UTC
(In reply to comment #7)
> ghex-2.8.2-2.fc5 should fix this

thx works fine ;)


Note You need to log in before you can comment on or make changes to this bug.